/* global process */

var elixir = require('laravel-elixir');
require('laravel-elixir-eslint');
require('laravel-elixir-todo');
require('./index.js');

/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 */

elixir(function initElixir (mix) {
    'use strict';

    //noinspection JSUnusedGlobalSymbols
    mix.todo('', {
        verbose:         true,
        template:        './readme.todo',
        output:          'readme.md',
        reporterOptions: {
            transformHeader:  function templateHeader (kind) {
                return ['### ' + kind + 's'];
            },
            transformComment: function templateComment (file, line, text) {
                return [text];
            },
        },
    });

    // JAVASCRIPT:      Linting
    mix.eslint([
        'gulpfile.js',
        'index.js',
    ]);

    // PHP Code Sniffer
    mix.phpCS('tests/**/*.php', 'phpcs -p --standard=PSR2 tests');
});
